package com.engine.organization.mapper.comp;

import com.engine.organization.entity.comp.po.CompPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
public interface CompMapper {
    /**
     * 列表查询
     * @param compPO
     * @return
     */
    List<CompPO> list(CompPO compPO);

    /**
     * 根据No查询数据
     *
     * @param compNo
     * @return
     */
    List<CompPO> listByNo(@Param("compNo") String compNo);

    /**
     * 更新禁用标记
     *
     * @param compPO
     * @return
     */
    int updateForbiddenTagById(CompPO compPO);
    /**
     * 批量删除职务信息方案
     *
     * @param ids
     */
    int deleteByIds(@Param("ids") Collection<Long> ids);
}
